/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EZBSessionContext.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.api.container;

import javax.ejb.SessionContext;
import javax.transaction.Transaction;

import org.ow2.easybeans.api.Factory;

/**
 * Context that will be stored in the bean object.<br>
 * @param <FactoryType> an EasyBeans factory
 * @author Florent Benoit
 */
public interface EZBSessionContext<FactoryType extends Factory<?, ?>> extends EZBEJBContext<FactoryType>, SessionContext {

    /**
     * Gets the transaction used by this bean.
     * @return the bean transaction.
     */
    Transaction getBeanTransaction();

    /**
     * Sets the transaction used by this bean.
     * @param beanTransaction the bean transaction.
     */
    void setBeanTransaction(final Transaction beanTransaction);
}
