/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EventBeanInvocationBegin.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.event.bean;

import org.ow2.easybeans.api.event.bean.EZBEventBeanInvocationBegin;

/**
 * EasyBeans bean invocation begin events.
 * @author missonng
 */
public class EventBeanInvocationBegin extends AbstractEventBeanInvocation implements EZBEventBeanInvocationBegin {
    /**
     * The next invocation number.
     */
    private static long nextNumber = 1;

    /**
     * The bean invocation arguments.
     */
    private Object[] arguments;

    /**
     * The default constructor.
     * @param source The event source.
     * @param arguments The invocation arguments.
     */
    public EventBeanInvocationBegin(final String source, final Object[] arguments) {
        super(source, EventBeanInvocationBegin.nextNumber++);
        this.arguments = arguments;
    }

    /**
     * Get the bean invocation arguments.
     * @return The bean invocation arguments.
     */
    public Object[] getArguments() {
        return this.arguments;
    }
}
